diff --git a/scripts/run_Advisory_Processor.sh b/scripts/run_Advisory_Processor.sh
new file mode 100644
index 0000000000000000000000000000000000000000..6ccbe5c4ff469d941cf39606917b00656ef0a759
--- /dev/null
+++ b/scripts/run_Advisory_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorAdvisory.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Depo_Processor.sh b/scripts/run_Deposition_Processor.sh
similarity index 87%
rename from scripts/run_Depo_Processor.sh
rename to scripts/run_Deposition_Processor.sh
index d16ac3990a5c33644c250ff94058bb88e7250275..a38c3c0d347a14d003a915d1aafeb7b140bbb00f 100644
--- a/scripts/run_Depo_Processor.sh
+++ b/scripts/run_Deposition_Processor.sh
@@ -6,8 +6,6 @@ source "${proc_path}"/run_utils.sh
 
 setup_conda_env
 
-
-# run the processor with all arguments
 python "${proc_path}"/../coordinator/ProcessorDeposition.py "$@"
 exit_code=$?
 
diff --git a/scripts/run_Environment_Processor.sh b/scripts/run_Environment_Processor.sh
new file mode 100644
index 0000000000000000000000000000000000000000..c12a56a6a7dbe99252b3dd7a4e91ff5662baaf98
--- /dev/null
+++ b/scripts/run_Environment_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorEnvironment.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Epidemiology_Processor.sh b/scripts/run_Epidemiology_Processor.sh
new file mode 100644
index 0000000000000000000000000000000000000000..7d8b0d82a9caa2f22b8006663656d97ecb6dd1f0
--- /dev/null
+++ b/scripts/run_Epidemiology_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorEpidemiology.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Scraper_Processor.sh b/scripts/run_Scraper_Processor.sh
new file mode 100644
index 0000000000000000000000000000000000000000..405aa1a19c97a310d099c26855b94fd6629339f0
--- /dev/null
+++ b/scripts/run_Scraper_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorScraper.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Survey_Processor.sh b/scripts/run_Survey_Processor.sh
new file mode 100644
index 0000000000000000000000000000000000000000..2e7b76c6fa85cc89cccf1b451d743b4be674895b
--- /dev/null
+++ b/scripts/run_Survey_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorSurvey.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code